Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 689876 - sys-cluster/torque-6.0.4-r2 stable request
Summary: sys-cluster/torque-6.0.4-r2 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest, STABLEREQ
: 833205 (view as bug list)
Depends on: 627260 638402 827474
Blocks: EAPI5Removal glibc-2.34 openssl-1.1-stable
  Show dependency tree
 
Reported: 2019-07-15 05:38 UTC by Hans de Graaff
Modified: 2022-03-26 20:08 UTC (History)
3 users (show)

See Also:
Package list:
sys-cluster/torque-6.0.4-r2
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2019-07-15 05:38:25 UTC
Arches can be added on or after 2019-08-15.
Comment 1 Tomáš Mózes 2019-08-29 12:15:11 UTC
Ping
Comment 2 Ian Stakenvicius (RETIRED) gentoo-dev 2019-08-29 13:49:43 UTC
Have you found that this package is actually stable?

The 4.x series matches the version available on other distros (RHEL/CentOS via EPEL, etc), and so I feel that it would be best to keep stable at that version for cluster interoperability.

As such, I'm not sure I want to stabilize 6.0.4 yet.  Open to suggestions otherwise, though...
Comment 3 Ian Stakenvicius (RETIRED) gentoo-dev 2019-08-29 13:52:41 UTC
Oh, I just noticed that it's blocking openssl stabilization.  OK, that changes things.

OK, give me a day to confirm the situation against openssl-1.1.1.
Comment 4 Ian Stakenvicius (RETIRED) gentoo-dev 2019-08-29 17:51:22 UTC
It won't build with openssl-1.1.1 and today's stage3, so I have to say it's not ready.
Comment 5 Andreas Sturmlechner gentoo-dev 2019-09-15 17:23:10 UTC
...any progress here? 'Won't build' as in one of the linked bugs?
Comment 6 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-03 22:02:12 UTC
ping
Comment 7 NATTkA bot gentoo-dev 2021-10-29 22:49:16 UTC Comment hidden (obsolete)
Comment 8 piotr5 2022-01-10 23:26:40 UTC
now #827474 is also a problem: autoconf checks for pthread_create() by
char pthread_create ();
while actual pthread.h only defines 
int pthread_create(pthread_t*, const pthread_attr_t*, void* (*)(void*), void*)
in sys-libs/glibc-2.33-r7
maybe it did compile with older versions of glibc, now sys-cluster/torque-6.0.4-r2 does not!
Comment 9 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-01-23 14:20:42 UTC
(In reply to piotr5 from comment #8)
> now #827474 is also a problem: autoconf checks for pthread_create() by
> char pthread_create ();
> while actual pthread.h only defines 
> int pthread_create(pthread_t*, const pthread_attr_t*, void* (*)(void*),
> void*)
> in sys-libs/glibc-2.33-r7
> maybe it did compile with older versions of glibc, now
> sys-cluster/torque-6.0.4-r2 does not!

Note that glibc-2.34 is not marked stable.
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-02-26 04:49:38 UTC
*** Bug 833205 has been marked as a duplicate of this bug. ***
Comment 11 Andreas K. Hüttel archtester gentoo-dev 2022-02-26 18:27:54 UTC
So can we go ahead here please? needed for glibc-2.34 stabilization...
Comment 12 Larry the Git Cow gentoo-dev 2022-03-07 01:55:01 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33650b0188bc349f12c62bab24856c2d3ccf9bdb

commit 33650b0188bc349f12c62bab24856c2d3ccf9bdb
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-03-07 01:54:21 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-03-07 01:54:52 +0000

    sys-cluster/torque: fix more pthread issues
    
    Possibly only an issue with glibc 2.33 (not 2.34) somehow? Fixed now anyway.
    
    Bug: https://bugs.gentoo.org/827474
    Bug: https://bugs.gentoo.org/689876
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-cluster/torque/files/torque-6.0.4-pthreads-deux.patch | 13 +++++++++++++
 sys-cluster/torque/torque-6.0.4-r2.ebuild                 |  4 +++-
 2 files changed, 16 insertions(+), 1 deletion(-)
Comment 13 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-07 01:55:19 UTC
amd64 done
Comment 14 Larry the Git Cow gentoo-dev 2022-03-07 03:27:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b4b0f420584271ec8144579fa15df6d0b3b2d60

commit 3b4b0f420584271ec8144579fa15df6d0b3b2d60
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-03-07 01:55:56 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-03-07 03:26:44 +0000

    sys-cluster/torque: destabilize 4.1.7-r2 for ~ppc64, ~sparc, ~x86
    
    Bug: https://bugs.gentoo.org/689876
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/arch/powerpc/ppc64/package.use.stable.mask | 4 ++++
 profiles/arch/sparc/package.use.stable.mask         | 4 ++++
 sys-cluster/torque/torque-4.1.7-r2.ebuild           | 2 +-
 3 files changed, 9 insertions(+), 1 deletion(-)
Comment 15 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-07 03:27:56 UTC
Dropped ppc/ppc64/sparc/x86 to ~arch as this package barely works on amd64 right now.
Comment 16 Larry the Git Cow gentoo-dev 2022-03-07 03:42:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b438445baa9df2af43e0374efa49179b004b720d

commit b438445baa9df2af43e0374efa49179b004b720d
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-03-07 03:28:54 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-03-07 03:28:54 +0000

    sys-cluster/torque: drop 4.1.7-r2, 4.2.10-r2
    
    Closes: https://bugs.gentoo.org/689876
    Signed-off-by: Sam James <sam@gentoo.org>

 sys-cluster/torque/Manifest                        |   2 -
 sys-cluster/torque/files/CVE-2013-4495.4.1.patch   | 343 ---------------------
 .../torque/files/torque-4.1.5.1-tcl8.6.patch       |  93 ------
 .../files/torque-4.2-dont-mess-with-cflags.patch   |  27 --
 .../torque-4.2-use-NULL-instead-of-char0.patch     | 140 ---------
 sys-cluster/torque/files/torque-4.2.9-tcl8.6.patch |  99 ------
 sys-cluster/torque/torque-4.1.7-r2.ebuild          | 232 --------------
 sys-cluster/torque/torque-4.2.10-r2.ebuild         | 193 ------------
 8 files changed, 1129 deletions(-)